using Harmonia.Core.Tags;

namespace Harmonia.Core.Imaging;

public interface IAudioImageExtractor
{
    Task<SongPictureInfo?> ExtractImageAsync(string path, CancellationToken cancellationToken);
    Task<SongPictureInfo?> ExtractImageAsync(string path, SongTagInfo songTagInfo, CancellationToken cancellationToken);
}